View Issue Details

IDProjectCategoryView StatusLast Update
0001367OpenMPTAccessibilitypublic2021-09-23 13:18
Reportera11cf0 Assigned ToSaga Musix  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Target VersionOpenMPT 1.30 / libopenmpt 0.6 (goals)Fixed in VersionOpenMPT 1.30 / libopenmpt 0.6 (goals) 
Summary0001367: A keyboard shortcut for switching between two halves of many views
Description

It would be great to have a shortcut for switching between the main parts of views like the general tab or the instrument editor. This is especially useful for screen reader users. Although screen readers provide a way of getting to otherwise non-keyboard-focusable controls, the ability to natively switch between the envelope editor and the main instrument options etc. would be quite handy.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

has duplicate 0000339 closed Accessibility - Switching keyboard focus between sections 

Activities

Saga Musix

Saga Musix

2021-09-15 14:33

administrator   ~0004873

r15697 adds a new shortcut, "Toggle Between Upper / Lower View", which should work for all views. Please grab a test build from https://builds.openmpt.org/builds/ to see if this suits your taste.

a11cf0

a11cf0

2021-09-15 17:27

reporter   ~0004874

Thanks. This is super useful and works as expected.

Issue History

Date Modified Username Field Change
2020-09-25 21:31 a11cf0 New Issue
2021-03-14 17:16 Saga Musix Assigned To => Saga Musix
2021-03-14 17:16 Saga Musix Status new => assigned
2021-09-15 14:33 Saga Musix Status assigned => feedback
2021-09-15 14:33 Saga Musix Note Added: 0004873
2021-09-15 14:35 Saga Musix Target Version => OpenMPT 1.30 / libopenmpt 0.6 (goals)
2021-09-15 17:27 a11cf0 Note Added: 0004874
2021-09-15 17:27 a11cf0 Status feedback => assigned
2021-09-15 17:46 Saga Musix Status assigned => resolved
2021-09-15 17:46 Saga Musix Resolution open => fixed
2021-09-15 17:46 Saga Musix Fixed in Version => OpenMPT 1.30 / libopenmpt 0.6 (goals)
2021-09-23 13:18 Saga Musix Relationship added has duplicate 0000339